package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
* <p>
* </p>*考核维度表
* @author quyixiao
* @since 2020-10-19
*/

@Data
@ApiModel(value = "考核维度表Dto")
public class ResultModelDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //维度名称
    @ApiModelProperty(value = "维度名称", name = "name")
    private String name;
    //考核组ID
    @ApiModelProperty(value = "考核组ID", name = "evaluationGroupId")
    private Long evaluationGroupId;
    //1:业绩 2：文化价值观
    @ApiModelProperty(value = "1:业绩 2：文化价值观", name = "type")
    private Integer type;
    //权重 0不限权重
    @ApiModelProperty(value = "权重 0不限权重", name = "weight")
    private BigDecimal weight;
    //考核子项目个数最大限制
    @ApiModelProperty(value = "考核子项目个数最大限制", name = "maxCount")
    private Integer maxCount;
    //lz_result_calculate 的id，计算法方法id
    @ApiModelProperty(value = "lz_result_calculate 的id，计算法方法id", name = "calculateId")
    private Long calculateId;
    //等级开关0关闭，1开启
    @ApiModelProperty(value = "等级开关0关闭，1开启", name = "gradeStatus")
    private Integer gradeStatus;
    //使用的哪个等级。等级组id，lz_result_grade的group_id
    @ApiModelProperty(value = "使用的哪个等级。等级组id，lz_result_grade的group_id", name = "gradeGroupId")
    private Long gradeGroupId;
    //排序
    @ApiModelProperty(value = "排序", name = "orderBy")
    private Integer orderBy;
    @ApiModelProperty(value = "已添加的指标", name = "tagetLibs")
    private List<ResultTagetLibDto> tagetLibs;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 维度名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 维度名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 考核组ID 
     * @return
     */
    public Long getEvaluationGroupId() {
        return evaluationGroupId;
    }
    /**
     * 考核组ID 
     * @param evaluationGroupId
     */
    public void setEvaluationGroupId(Long evaluationGroupId) {
        this.evaluationGroupId = evaluationGroupId;
    }

    /**
     * 1:业绩 2：文化价值观 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1:业绩 2：文化价值观 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 权重 0不限权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 0不限权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 考核子项目个数最大限制 
     * @return
     */
    public Integer getMaxCount() {
        return maxCount;
    }
    /**
     * 考核子项目个数最大限制 
     * @param maxCount
     */
    public void setMaxCount(Integer maxCount) {
        this.maxCount = maxCount;
    }

    /**
     * lz_result_calculate 的id，计算法方法id 
     * @return
     */
    public Long getCalculateId() {
        return calculateId;
    }
    /**
     * lz_result_calculate 的id，计算法方法id 
     * @param calculateId
     */
    public void setCalculateId(Long calculateId) {
        this.calculateId = calculateId;
    }

    /**
     * 等级开关0关闭，1开启 
     * @return
     */
    public Integer getGradeStatus() {
        return gradeStatus;
    }
    /**
     * 等级开关0关闭，1开启 
     * @param gradeStatus
     */
    public void setGradeStatus(Integer gradeStatus) {
        this.gradeStatus = gradeStatus;
    }

    /**
     * 使用的哪个等级。等级组id，lz_result_grade的group_id 
     * @return
     */
    public Long getGradeGroupId() {
        return gradeGroupId;
    }
    /**
     * 使用的哪个等级。等级组id，lz_result_grade的group_id 
     * @param gradeGroupId
     */
    public void setGradeGroupId(Long gradeGroupId) {
        this.gradeGroupId = gradeGroupId;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getOrderBy() {
        return orderBy;
    }
    /**
     * 排序 
     * @param orderBy
     */
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return "ResultModel{" +
                ",id=" + id +
                ",name=" + name +
                ",evaluationGroupId=" + evaluationGroupId +
                ",type=" + type +
                ",weight=" + weight +
                ",maxCount=" + maxCount +
                ",calculateId=" + calculateId +
                ",gradeStatus=" + gradeStatus +
                ",gradeGroupId=" + gradeGroupId +
                ",orderBy=" + orderBy +
                "}";
    }
}